# Generated by Django 3.2.12 on 2022-03-03 14:35

from django.db import migrations, models
import django.db.models.deletion


def remove_resource_without_resource_group(apps, schema_editor):
    Resource = apps.get_model('resource_tracker', 'Resource')
    for resource in Resource.objects.filter(resource_group=None):
        resource.delete()


class Migration(migrations.Migration):
    dependencies = [
        ('resource_tracker', '0008_auto_20220120_1538'),
    ]

    operations = [
        migrations.RunPython(remove_resource_without_resource_group),
        migrations.AlterField(
            model_name='resource',
            name='resource_group',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='resources',
                                    related_query_name='resource', to='resource_tracker.resourcegroup'),
        ),
        migrations.AlterUniqueTogether(
            name='resource',
            unique_together={('name', 'resource_group')},
        ),
        migrations.AlterField(
            model_name='resource',
            name='name',
            field=models.CharField(max_length=100),
        ),
    ]
