# Generated by Django 3.2.13 on 2022-10-03 09:41

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('service_catalog', '0010_doc_operations'),
    ]

    operations = [
        migrations.AddField(
            model_name='operation',
            name='default_credentials_ids',
            field=models.CharField(blank=True, help_text='Jinja supported with context `{{ request }}`. Comma separated list of credentials ID', max_length=500, null=True),
        ),
        migrations.AddField(
            model_name='operation',
            name='default_diff_mode',
            field=models.CharField(blank=True, help_text='Jinja supported. Show changes', max_length=500, null=True),
        ),
        migrations.AddField(
            model_name='operation',
            name='default_inventory_id',
            field=models.CharField(blank=True, help_text='Jinja supported with context {{ request }}. Id of the inventory to use by default. Leave blank to use the default Job Template inventory', max_length=500, null=True),
        ),
        migrations.AddField(
            model_name='operation',
            name='default_job_type',
            field=models.CharField(blank=True, help_text='Jinja supported. Job template type', max_length=500, null=True),
        ),
        migrations.AddField(
            model_name='operation',
            name='default_limits',
            field=models.CharField(blank=True, help_text='Jinja supported with context {{ request }}. Comma separated list of inventory host limits', max_length=500, null=True),
        ),
        migrations.AddField(
            model_name='operation',
            name='default_skip_tags',
            field=models.CharField(blank=True, help_text='Jinja supported. Comma separated list of skip tags', max_length=500, null=True),
        ),
        migrations.AddField(
            model_name='operation',
            name='default_tags',
            field=models.CharField(blank=True, help_text='Jinja supported. Comma separated list of tags', max_length=500, null=True),
        ),
        migrations.AddField(
            model_name='operation',
            name='default_verbosity',
            field=models.CharField(blank=True, help_text='Jinja supported. Verbosity level (Integer)', max_length=500, null=True),
        ),
        migrations.CreateModel(
            name='Inventory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('tower_id', models.IntegerField()),
                ('tower_server', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='inventories', related_query_name='inventory', to='service_catalog.towerserver')),
            ],
            options={
                'unique_together': {('tower_id', 'tower_server')},
            },
        ),
        migrations.CreateModel(
            name='Credential',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('tower_id', models.IntegerField()),
                ('tower_server', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='credentials', related_query_name='credential', to='service_catalog.towerserver')),
            ],
            options={
                'unique_together': {('tower_id', 'tower_server')},
            },
        ),
    ]
